<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sales', function($table)
        {
            $table->string('reference_number')->nullable()->change();
        });

        Schema::table('journals', function($table)
        {
            $table->string('reference_number')->nullable()->change();
        });

        Schema::table('expenses', function($table)
        {
            $table->string('reference_number')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sales', function($table)
        {
            $table->string('reference_number')->change();
        });

        Schema::table('journals', function($table)
        {
            $table->string('reference_number')->change();
        });

        Schema::table('expenses', function($table)
        {
            $table->string('reference_number')->change();
        });
    }
};
